Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.index.bintree
Class Interval

    java.lang.Object
      com.vividsolutions.jts.index.bintree.Interval

    public class Interval

extends java.lang.Object

Represents an (1-dimensional) closed interval on the Real number line.

Version:
  1.7

Field Summary
`double` | `max`
`double` | `min`

Constructor Summary
`Interval()`
`Interval(double min, double max)`
`Interval(Interval interval)`

Method Summary
`boolean` | `contains(double p)`
`boolean` | `contains(double min, double max)`
`boolean` | `contains(Interval interval)`
`void` | `expandToInclude(Interval interval)`
`double` | `getMax()`
`double` | `getMin()`
`double` | `getWidth()`
`void` | `init(double min, double max)`
`boolean` | `overlaps(double min, double max)`
`boolean` | `overlaps(Interval interval)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### min

    public double min

### max

    public double max

Constructor Detail

### Interval

    public Interval()

### Interval

    public Interval(double min,
                    double max)

### Interval

    public Interval(Interval interval)

Method Detail

### init

    public void init(double min,
                     double max)

### getMin

    public double getMin()

### getMax

    public double getMax()

### getWidth

    public double getWidth()

### expandToInclude

    public void expandToInclude(Interval interval)

### overlaps

    public boolean overlaps(Interval interval)

### overlaps

    public boolean overlaps(double min,
                            double max)

### contains

    public boolean contains(Interval interval)

### contains

    public boolean contains(double min,
                            double max)

### contains

    public boolean contains(double p)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD